Name:		disper
Version:	0.3.1
Release:	16%{?dist}
Summary:	On-the-fly display switch utility
License:	GPLv3+
URL:		http://willem.engen.nl/projects/disper/
Source0:	http://ppa.launchpad.net/disper-dev/ppa/ubuntu/pool/main/d/disper/%{name}_%{version}.tar.gz
Patch0:		disper_0.3.1-fix_Makefile.patch
Patch1:		disper_0.3.1-fix-misbehavior-bug-1531704.diff
BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	help2man
# disper require notify-send included in libnotify package
Requires:	libnotify
# disper require libXrandr and libX11 too, the library are loaded via python and
# rpm doesn't find these dependencies by itself
Requires:	libXrandr
Requires:	libX11


%description
Disper is an on-the-fly display switch utility. It is intended to be used just
before giving a presentation with a laptop, when all one wants is that the
beamer, which has just been connected, is able to show whatever you prepared.

Disper gives you the option to either clone all detected displays, or extend
the desktop to them. Resolutions are automatically detected. For cloning, the
highest common resolution supported by all displays is chosen; for extending
every display device gets its highest supported resolution. For special setups
requiring more detailed control, one can still use the standard display
configuration utilities.

At the moment nVidia cards are supported, and a basic XRandR backend is in
place.


%prep
%autosetup -p1 -n %{name}

#fix to #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
sed -i '1s/env python/python2/' src/disper.py
sed -i '1s/env python/python2/' src/xrandr/gdk.py
sed -i '1s/env python/python2/' src/xrandr/__init__.py
sed -i '1s/env python/python2/' src/xrandr/core.py
sed -i '1s/env python/python2/' disper.in


%build


%install
DESTDIR=%{buildroot} PREFIX=%{_prefix} \
  BINDIR=%{_bindir} DATADIR=%{_datadir} \
  make install
# fcami - kludge starts here
# - disper installs itself in %{_datadir}/%{name}/src ...
#   so rename that directory to %{python2_sitelib}%{name}
mkdir -p %{buildroot}%{python2_sitelib}
mv %{buildroot}%{_datadir}/%{name}/src %{buildroot}%{python2_sitelib}/%{name}
# - adapt the hardcoded system path in /usr/bin/disper to %{python2_sitelib}%{name}
sed -i "s,^sys\.path\.append.*,sys\.path\.append\(\'%{python2_sitelib}/%{name}\'\),g" %{buildroot}%{_bindir}/%{name}
# end kludge
# these should already be +x in the sources
chmod +x %{buildroot}%{python2_sitelib}/%{name}/xrandr/core.py
chmod +x %{buildroot}%{python2_sitelib}/%{name}/xrandr/gdk.py
chmod +x %{buildroot}%{python2_sitelib}/%{name}/xrandr/__init__.py
gzip %{name}.1
install -Dpm 0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz


%files
%doc README TODO
%{_bindir}/%{name}
%{python2_sitelib}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 28 2018 Filipe Rosset <rosset.filipe@gmail.com> - 0.3.1-14
- rebuilt to fix python2_sitelib issues

* Sat Oct 27 2018 Filipe Rosset <rosset.filipe@gmail.com> - 0.3.1-13
- rebuilt to fix FTBFS on rawhide, fixes rhbz #1603791
- fixes rhbz #1283552 (thanks to Alex Peyser a.peyser at fz-juelich.de)
- fixes rhbz #1540683 and #1577523 also

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 08 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.1-9
- Add a build-time dependency on python2-devel

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Sep 27 2014 François Cami <fcami@fedoraproject.org> - 0.3.1-3
- Gratuitous rebuild.

* Wed Sep 24 2014 François Cami <fcami@fedoraproject.org> - 0.3.1-2
- Install in python_sitelib instead of /usr/share/disper/src/

* Wed Sep 17 2014 François Cami <fcami@fedoraproject.org> - 0.3.1-1
- Update disper to 0.3.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Mario Santagiuliana <fedora@marionline.it> - 0.3.0-5
- Add comment in spec file for require dependencies
- Fix error in changelog data report

* Tue Jan 10 2012 Mario Santagiuliana <fedora@marionline.it> - 0.3.0-4
- Update spec file

* Tue Jul 19 2011 Mario Santagiuliana <fedora@marionline.it> - 0.3.0-3
- Update description using upstream website description

* Tue Jun 21 2011 Mario Santagiuliana <fedora@marionline.it> - 0.3.0-2
- Update dependencies

* Sat Jun 11 2011 Mario Santagiualiana <mario@marionline.it> - 0.3.0-1
- Merge Spec file of kwizart and Felix
- Update disper to version 0.3.0
- Update Spec file

* Sat Sep 19 2009 kwizart < kwizart at gmail.com > - 0.2.3-1
- Initial package

* Tue Jul 07 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.2.3-1
- initial build

